from django.shortcuts import render
from django.views.generic import TemplateView


class BarrierDashboardView(TemplateView):
    template_name = 'barrier/barrier-dashboard.html'
    extra_context = {
        'title': 'Client Dashboard',
        'description': 'This is the client dashboard page.',
    }


    def get(self, request, *args, **kwargs):
        return render(request, self.template_name, self.extra_context)